
-- Specialization for Beacon Lights
--
-- @author  Manituo Fan
-- @date  17/07/11



BeaconLights = {};

function BeaconLights.prerequisitesPresent(specializations)
    return true;
end;

function BeaconLights:load(xmlFile)
	
	self.autoBeaconLights=false;
end;

function BeaconLights:delete()
end;

function BeaconLights:mouseEvent(posX, posY, isDown, isUp, button)
end;
 
function BeaconLights:keyEvent(unicode, sym, modifier, isDown)
end;

function BeaconLights:update(dt)

	if (self.grainTankFillLevel >= self.grainTankCapacity*0.8) and not self.autoBeaconLights then
        self:setBeaconLightsVisibility(true);
        self.autoBeaconLights=true;
    end;                                    
        
    if (self.grainTankFillLevel < self.grainTankCapacity*0.8) and self.autoBeaconLights then
        self:setBeaconLightsVisibility(false);
        self.autoBeaconLights = false;
    end;
		
	
	if self.beaconLightsActive then
		for _, beaconLight in pairs(self.beaconLights) do
            rotate(beaconLight.node, 0, beaconLight.speed*dt, 0);
        
		end;
	end;
end;

function BeaconLights:onLeave()
	self:setBeaconLightsVisibility(self.autoBeacon, true);  	
end;

function BeaconLights:draw()

end;





